/*
 * FechaMayorOtroCampoDep.java
 *
 * Created on 29 de mayo de 2007, 10:39 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

import java.text.SimpleDateFormat;
import java.util.Date;

import com.fidufosyga.rules.util.ValidarFecha;

/**
 * 
 * @author JSolano
 */
public class FechaMayorOtroCampoDep extends AbstractRule {
	// COL?1=?2 AND dbo.FU_COMPARAR_FECHAS(@campo, ?3)=1
	String DATE_FORMAT = "dd/MM/yyyy";

	SimpleDateFormat sdf;

	// Create object of SimpleDateFormat and pass the desired date format.

	/** Creates a new instance of CampoVacio */
	public FechaMayorOtroCampoDep() {
		sdf = new SimpleDateFormat(DATE_FORMAT);
		sdf.setLenient(false);
	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
		String codigoNovedad = registro[new Integer((String) getParams()[0])
				.intValue()];
		if (!codigoNovedad.equals((String) getParams()[1])) {
			return false;
		}

		String fechaOtra = registro[new Integer((String) getParams()[2])
				.intValue()];
		if (!ValidarFecha.esFecha(field) || !ValidarFecha.esFecha(fechaOtra)) {
			return false;
		}
		Date dateCampo = null;
		Date dateOtra = null;
		try {
			dateCampo = sdf.parse(field);
			dateOtra = sdf.parse(fechaOtra);
		} catch (Exception e) {
			return false;
		}

		if (dateCampo.after(dateOtra)) {
			return true;
		}

		return false;
	}

}